Get files and artifacts from a run
curl --request GET \
--url https://pluto-api.trainy.ai/api/runs/files \
--header 'Authorization: Bearer <token>'{
"files": [
{
"fileName": "<string>",
"fileType": "<string>",
"fileSize": 123,
"logName": "<string>",
"logGroup": "<string>",
"time": "<string>",
"step": 123,
"url": "<string>"
}
]
}Runs
Get files and artifacts from a run
Returns file metadata with presigned URLs for downloading. URLs are valid for 5 days.
GET
/
api
/
runs
/
files
Get files and artifacts from a run
curl --request GET \
--url https://pluto-api.trainy.ai/api/runs/files \
--header 'Authorization: Bearer <token>'{
"files": [
{
"fileName": "<string>",
"fileType": "<string>",
"fileSize": 123,
"logName": "<string>",
"logGroup": "<string>",
"time": "<string>",
"step": 123,
"url": "<string>"
}
]
}Authorizations
API key obtained from the mlop dashboard
Query Parameters
Numeric run ID
Project name
Filter by log name
Filter by log group
Response
200 - application/json
Files with presigned URLs
Show child attributes
Show child attributes
Was this page helpful?
⌘I